# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate wiremock

Name:           rust-wiremock
Version:        0.6.3
Release:        %autorelease
Summary:        HTTP mocking to test Rust applications

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/wiremock
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Update deadpool to 0.12 and remove async-trait dependency:
#   https://github.com/LukeMathWalker/wiremock-rs/pull/157
# * Omit deprecated async-std dev-dependency
# * Omit surf dev-dependency, which is not actively developed
#   (https://github.com/http-rs/surf/issues/352), and which has enough
#   dependencies of its own that it is not worth packaging solely to run more
#   tests.
# * Remove test modules for which *all* tests would require surf and/or
#   async-std.
Patch:          wiremock-fix-metadata.diff
# * This is the source-code change from “Update deadpool to 0.12,”
#   https://github.com/LukeMathWalker/wiremock-rs/pull/157, to accompany the
#   Cargo.toml patch that updates deadpool to 0.12 and removes the async-trait
#   dependency.
Patch10:        wiremock-0.6.3-no-async-trait.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
HTTP mocking to test Rust applications.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * Nearly all doctests require surf and/or async-std; running those that don’t
#   does not seem worth the extensive patching effort that would be required.
%cargo_test -- --lib
%endif

%changelog
%autochangelog
